import { arr2obj } from "./data-transform";
import Components from "@/views/common-dialog";

export const initParams = (arr) => arr2obj(arr, "key", "value");

export const initDicts = (arr) =>
  arr
    .filter((column) => column.type === "Select")
    .map((column) => column.config.optionsName);

export const initRules = (arr) => {
  const rules = {};
  arr
    .filter((column) => column.require)
    .forEach((column) => {
      const message = `${column.title}不能为空`;
      rules[column.key] = [
        { required: true, message: message, trigger: "change" },
      ];
    });
  return rules;
};

export const initComponents = (arr) => {
  const c = {};
  arr
    .filter((element) => element.type === "InputDialog")
    .map((element) => element.config.componentName)
    .forEach((element) => {
      c[element] = Components[element];
    });

  return c;
};
