const columns = [
  {
    key: "puOrg",
    title: "采购组织",
    type: "InputDialog",
    config: {
      componentName: "Organization",
      dataMapping: { puOrg: "deptName" },
    },
    require: true,
  },
  { key: "code", title: "合同编码", type: "Input" },
  {
    key: "lastPuMoney",
    title: "上年度采购额",
    type: "Input",
    require: true,
  },
  {
    key: "buyer",
    title: "采购员",
    type: "InputDialog",
    config: {
      componentName: "User",
      dataMapping: {
        buyer: "userName",
        puDept: "deptName",
      },
    },
    require: true,
  },
  {
    key: "supplier",
    title: "供应商",
    type: "InputDialog",
    config: {
      componentName: "Supplier",
      dataMapping: { supplier: "name" },
    },
    require: true,
  },
  {
    key: "contractType",
    title: "合同类型",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_contract_type",
    },
  },
  {
    key: "puMoneyYear",
    title: "本年度采购额",
    type: "Input",
    require: true,
  },
  {
    key: "puDept",
    title: "采购部门",
    type: "InputDialog",
    config: { componentName: "Department" },
    require: true,
  },
  {
    key: "supplierTier",
    title: "供应商层级",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_supplier_tier",
    },
  },
  { key: "contractName", title: "合同名称", type: "Input", require: true },
  {
    key: "grossRateAverage",
    title: "平均毛利率",
    type: "Input",
    require: true,
  },
  {
    key: "approveFlow",
    title: "审批流程",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_approve_flow",
    },
  },
  {
    key: "consumableClass",
    title: "耗材类别",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_consumable_class",
    },
  },
  {
    key: "effectiveDate",
    title: "合同生效日期",
    type: "DatePicker",
    require: true,
    config: { type: "date" },
  },
  {
    key: "brandGrossRate",
    title: "同类品牌及毛利率",
    type: "Input",
    require: true,
  },
  {
    key: "contractFormat",
    title: "合同格式",
    type: "Input",
    require: true,
  },
  {
    key: "productName",
    title: "产品类别&名称",
    type: "Input",
    require: true,
  },
  {
    key: "endDate",
    title: "合同终止日期",
    type: "DatePicker",
    require: true,
    config: { type: "date" },
  },
  {
    key: "invoiceTax",
    title: "发票税率",
    type: "InputDialog",
    config: {
      componentName: "Tax",
      dataMapping: {
        invoiceTax: "mattaxesname",
      },
    },
    require: true,
  },
  {
    key: "emergencyDegree",
    title: "紧急程度",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_emergency_degree",
    },
  },
  { key: "project", title: "项目医院", type: "Input", require: true },
  {
    key: "signDate",
    title: "合同签订日期",
    type: "DatePicker",
    require: true,
    config: { type: "date" },
  },
  {
    key: "deliveryType",
    title: "交货方式",
    type: "Select",
    config: {
      optionsName: "purchase_contract_delivery_type",
    },
  },
  {
    key: "source",
    title: "合同来源",
    type: "Input",
    value: "自制",
    disabled: true,
  },
  {
    key: "contractPartyc",
    title: "合同丙方",
    type: "InputDialog",
    config: {
      componentName: "Supplier",
      dataMapping: {
        contractPartyc: "name",
      },
    },
  },
  {
    key: "guaranteePeriodEnd",
    title: "质保期限",
    type: "Input",
    require: true,
  },
  {
    key: "freightMethods",
    title: "运费承担方式",
    type: "Select",
    config: {
      optionsName: "purchase_contract_freight_methods",
    },
  },
  {
    key: "signDate",
    title: "合同创建时间",
    type: "DatePicker",
    disabled: true,
    config: { type: "date" },
  },
  {
    key: "isTarget",
    title: "是否有指标",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_is_target",
    },
  },
  {
    key: "contractTarget",
    title: "合同指标",
    type: "Input",
    require: true,
    placeholder: '当【是否有指标】="有"时，必填',
  },
  {
    key: "exemptionPostageCondtion",
    title: "包邮条件",
    type: "Input",
    placeholder:
      "当运费承担方式为供应商有条件承担时，该字段必填，填写要求，写明什么条件下供应商承担全部，什么条件下我方承担，什么条件下分别承担",
    span: 12,
  },
  {
    key: "isRebate",
    title: "是否有返利",
    type: "Select",
    require: true,
    config: {
      optionsName: "purchase_contract_is_rebate",
    },
  },
  {
    key: "rebatePolicy",
    title: "返利政策",
    type: "Input",
    placeholder: '当【是否有返利】="有"时，必填',
    span: 18,
  },
  { key: "externalContract", title: "外部合同号", type: "Input" },
  {
    key: "rollbackPolicy",
    title: "退换货政策",
    type: "Input",
    require: true,
  },
  {
    key: "contractContent",
    title: "合同主要内容",
    type: "Textarea",
    require: true,
    span: 24,
  },
  { key: "refusalReasons", title: "拒绝理由", type: "Input", span: 24 },
  { key: "enquiryCode", title: "询价单号", type: "Input" },
  { key: "externalFile", title: "对外附件", type: "Upload", span: 24 },
  { key: "puFile", title: "采购商盖章合同附件", type: "Upload", span: 24 },
  {
    key: "supplierFile",
    title: "供应商盖章合同附件",
    type: "Upload",
    span: 24,
  },
  { key: "projectCode", title: "项目编号", type: "Input" },
  { key: "projectName", title: "项目名称", type: "Input" },
  { key: "area", title: "区域", type: "Input" },
  { key: "consigneePhone", title: "收货人联系方式", type: "Input" },
  {
    key: "paymentAgreement",
    title: "付款协议",
    type: "InputDialog",
    config: {
      componentName: "PaymentPlan",
      dataMapping: {
        buyer: "userName",
        puDept: "deptName",
      },
    },
    require: true,
  },
  {
    key: "taxPrice",
    title: "价税合计",
    type: "InputNumber",
    config: { controlsPosition: "right" },
  },
  {
    key: "currency",
    title: "币种",
    type: "InputDialog",
    config: {
      componentName: "Currency",
      dataMapping: {
        currency: "name",
      },
    },
    require: true,
  },
  { key: "guaranteePeriod", title: "质保期", type: "Input" },

  // { key: "buyerName", title: "采购员名称" },
  // { key: "supplierName", title: "供应商名称" },

  // { key: "puDeptName", title: "采购部门名称" },

  // { key: "contractPartycName", title: "合同丙方名称" },

  // { key: "currencyName", title: "币种名称" },
  // { key: "tenantId", title: "租户号" },
  // { key: "revision", title: "乐观锁" },
  // { key: "createByName", title: "创建人" },
  // { key: "updateByName", title: "创建人名称" },
  // { key: "delFlag", title: "删除标记" },
];

export const initColumns = () => columns;

const tabColumns = [
  {
    show: {
      contractType: [1, 2],
    },
    title: "物料基本信息",
    key: "PuContractItem",
    tableColumns: [
      { title: "序号", key: "index" },
      { title: "物料编码", key: "material", width: 200 },
      {
        title: "物料名称",
        key: "materialName",
        type: "InputDialog",
        width: 200,
      },
      { title: "规格", key: "specification", width: 200 },
      { title: "品牌", key: "brand", type: "InputDialog", width: 200 },
      { title: "生产厂家", key: "manufacturer", type: "Input", width: 200 },
      { title: "采购单位", key: "puUnit", type: "InputDialog", width: 200 },
      {
        title: "税率%",
        key: "tax",
        type: "InputDialog",
        config: {
          componentName: "Tax",
          dataMapping: {
            tax: "mattaxesname",
          },
        },
        width: 200,
      },
      {
        title: "采购数量",
        key: "qty",
        type: "InputNumber",
        config: { controlsPosition: "right" },
        width: 200,
      },
      {
        title: "含税单价",
        key: "taxPrice",
        type: "InputNumber",
        config: { controlsPosition: "right" },
        width: 200,
      },
      { title: "含税金额合计", key: "taxMoney", width: 200 },
      { title: "无税单价", key: "taxFreePrice" },
      { title: "无税金额合计", key: "taxFreeMoney", width: 200 },
      {
        title: "注册证号及备案凭证号",
        key: "registration",
        type: "Input",
        width: 200,
      },
      {
        title: "收货客户",
        key: "customerName",
        type: "InputDialog",
        width: 200,
      },
      // { title: "备注", key: "remark", type: "Input", width: 200 },
    ],
  },
  {
    title: "合同条款",
    key: "PuContractClause",
    tableColumns: [
      { title: "序号", key: "" },
      { title: "条款编码", key: "" },
      { title: "条款名称", key: "" },
      { title: "条款内容", key: "" },
      { title: "变量序号", key: "" },
      { title: "变量内容", key: "" },
      // { title: "备注", key: "" },
    ],
  },
  {
    title: "合同费用",
    key: "PuContractExpense",
    tableColumns: [
      { title: "序号", key: "" },
      { title: "费用编码", key: "" },
      { title: "费用名称", key: "" },
      { title: "费用金额", key: "" },
      { title: "备注", key: "" },
    ],
  },
  {
    title: "付款协议信息",
    key: "PuContractAgreement",
    tableColumns: [
      { title: "序号", key: "" },
      { title: "付款阶段", key: "" },
      { title: "是否预付款", key: "" },
      { title: "是否质保金", key: "" },
      { title: "结算方式", key: "" },
      { title: "付款起点", key: "" },
      { title: "付款金额", key: "" },
      { title: "付款比例%", key: "" },
      { title: "账期天数", key: "" },
      { title: "备注", key: "" },
    ],
  },
  {
    title: "合同执行组织范围",
    key: "PuContractApplyOrg",
    tableColumns: [
      { title: "序号", key: "" },
      { title: "组织名称", key: "" },
      { title: "组织编码", key: "" },
    ],
  },
];
export const initTabColumns = () => tabColumns;
